description

# CssRect class Null safety

A class for representing CSS dimensions.

In contrast to the more general purpose Rectangle class, this class's values are mutable, so one can change the height of an element programmatically.

Important note: use of these methods will perform CSS calculations that can trigger a browser reflow. Therefore, use of these properties during an animation frame is discouraged. See also: Browser Reflow

Implemented types
  - Rectangle<num>

## Constructors

CssRect(Element _element)

## Properties

bottom → num
  The y-coordinate of the bottom edge.
  read-only
bottomLeft → Point<num>
  read-only
bottomRight → Point<num>
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, override
height ↔ num
  The height of this rectangle. [...]
  read / write, override-getter
left → num
  The x-coordinate of the left edge.
  read-only, override
right → num
  The x-coordinate of the right edge.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
top → num
  The y-coordinate of the top edge.
  read-only, override
topLeft → Point<num>
  read-only
topRight → Point<num>
  read-only
width ↔ num
  The width of this rectangle. [...]
  read / write, override-getter

## Methods

boundingBox(Rectangle<num> other) → Rectangle<num>
  Returns a new rectangle which completely contains `this` and `other`.
containsPoint(Point<num> another) → bool
  Tests whether `another` is inside or along the edges of `this`.
containsRectangle(Rectangle<num> another) → bool
  Tests whether `this` entirely contains `another`.
intersection(Rectangle<num> other) → Rectangle<num>?
  Computes the intersection of `this` and `other`. [...]
intersects(Rectangle<num> other) → bool
  Returns true if `this` intersects `other`.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  override